=== debian/changelog ===
ros-dashing-class-loader (1.3.3-1bionic) bionic; urgency=high

  * Use .empty() to check for an empty string. (#132 <https://github.com/ros/class_loader/issues/132>)
  * Fix travis on macOS. (#135 <https://github.com/ros/class_loader/issues/135>)
  * Contributors: Chris Lalancette

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 13 Mar 2020 04:00:00 -0000

ros-dashing-class-loader (1.3.2-1bionic) bionic; urgency=high

  * Correctly export class_loader library (#129 <https://github.com/ros/class_loader/pull/129>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 30 Jul 2019 04:00:00 -0000

ros-dashing-class-loader (1.3.0-1bionic) bionic; urgency=high

  * Updated test configuration to check copyright of files where possible. (#123 <https://github.com/ros/class_loader/issues/123>)
  * Updated to use ament_target_dependencies where possible. (#121 <https://github.com/ros/class_loader/issues/121>)
  * Contributors: ivanpauno, jpsamper2009

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 12 Apr 2019 04:00:00 -0000

ros-dashing-class-loader (1.2.0-1bionic) bionic; urgency=high

  * Updated maintainer to Steven! Ragnarok the maintainer (#107 <https://github.com/ros/class_loader/issues/107>)
  * Added free impl_ in AbstractMetaObjectBase destructor (#103 <https://github.com/ros/class_loader/issues/103>)
  * Overhauled CI.u (#106 <https://github.com/ros/class_loader/issues/106>)
  * Fixed spacing to comply with uncrusity 0.67 (#99 <https://github.com/ros/class_loader/issues/99>)
  * Updated to use console_bridge_vendor (#98 <https://github.com/ros/class_loader/issues/98>)
  * Contributors: Chris Ye, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 16 Nov 2018 05:00:00 -0000

ros-dashing-class-loader (0.3.2-1bionic) bionic; urgency=high

  * Fixed wrong handling of false statement (pkg-config was not installed)
  * Make catkin optional again
  * Contributors: Esteve Fernandez, Janosch Machowinski, Matthias Goldhoorn

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 22 Apr 2015 04:00:00 -0000

ros-dashing-class-loader (0.3.1-1bionic) bionic; urgency=high

  * Depend on boost
  * Use FindPoco.cmake from ros/cmake_modules
  * Honor BUILD_SHARED_LIBS and do not force building shared libraries.
  * Contributors: Esteve Fernandez, Gary Servin, Scott K Logan

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 23 Dec 2014 05:00:00 -0000

ros-dashing-class-loader (0.3.0-1bionic) bionic; urgency=high

  * Use system-provided console-bridge
  * Contributors: Esteve Fernandez

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 25 Jun 2014 04:00:00 -0000

ros-dashing-class-loader (0.2.5-1bionic) bionic; urgency=high

  * Changed format of debug messages so that rosconsole_bridge can correctly parse the prefix
  * Improved debug output

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 04 Mar 2014 05:00:00 -0000

ros-dashing-class-loader (0.2.4-1bionic) bionic; urgency=high

  * fix race condition with multi threaded library loading (#16 <https://github.com/ros/class_loader/issues/16>)

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 12 Feb 2014 05:00:00 -0000

ros-dashing-class-loader (0.2.3-1bionic) bionic; urgency=high

  * fix missing class name in logWarn output

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 21 Aug 2013 04:00:00 -0000

ros-dashing-class-loader (0.2.2-1bionic) bionic; urgency=high

  * check for CATKIN_ENABLE_TESTING (#10 <https://github.com/ros/class_loader/issues/10>)
  * fix find Poco to return full lib path (#8 <https://github.com/ros/class_loader/issues/8>)
  * add missing runtime destination for library under Windows
  * add Boosst component system

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sun, 14 Jul 2013 04:00:00 -0000

ros-dashing-class-loader (0.2.1-1bionic) bionic; urgency=high

  * improve check for Poco foundation and headers (#7 <https://github.com/ros/class_loader/issues/7>)

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 06 Jun 2013 04:00:00 -0000

ros-dashing-class-loader (0.2.0-1bionic) bionic; urgency=high

  * use find_package for Poco/dl instead to make it work on other platforms
  * update Poco cmake file to include libdl on non-windows systems
  * No longer CATKIN_DEPEND on console_bridge

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 13 Mar 2013 04:00:00 -0000

ros-dashing-class-loader (0.1.27-1bionic) bionic; urgency=high

  * change warning message for managed/unmanaged instance mixture in lazy loading mode

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 25 Jan 2013 05:00:00 -0000

ros-dashing-class-loader (0.1.26-1bionic) bionic; urgency=high

  * fix all instances marked as unmanaged

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 17 Jan 2013 05:00:00 -0000

ros-dashing-class-loader (0.1.25-1bionic) bionic; urgency=high

  * fix redundant destructor definition being pulled into plugin library for metaobjects instead of being contained with libclass_loader.so

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 16 Jan 2013 05:00:00 -0000

ros-dashing-class-loader (0.1.24-1bionic) bionic; urgency=high

  * fix syntax error for logInform

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Jan 2013 20:27:00 -0000

ros-dashing-class-loader (0.1.23-1bionic) bionic; urgency=high

  * downgrade some warning messages to be info/debug

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Jan 2013 20:23:00 -0000

ros-dashing-class-loader (0.1.22-1bionic) bionic; urgency=high

  * add safety checks for mixing of managed/unmanaged mixing as well as pointer equivalency check between graveyard and newly created metaobjects

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Jan 2013 20:01:00 -0000

ros-dashing-class-loader (0.1.21-1bionic) bionic; urgency=high


